summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTupone Alfredo <tupone@gentoo.org>2018-09-26 20:00:27 +0200
committerTupone Alfredo <tupone@gentoo.org>2018-09-26 20:00:27 +0200
commit248aeacc7bbfb442a4453204f0499d6d74635c32 (patch)
treee7612037e4d5cbc2b94a53c8252e9b674b272efb /dev-tcltk
parentsys-apps/rng-tools: bump to v6.5 (diff)
downloadgentoo-248aeacc7bbfb442a4453204f0499d6d74635c32.tar.gz
gentoo-248aeacc7bbfb442a4453204f0499d6d74635c32.tar.bz2
gentoo-248aeacc7bbfb442a4453204f0499d6d74635c32.zip
dev-tcltk/thread: version bump to 2.7.3
Closes: https://bugs.gentoo.org/595046 Package-Manager: Portage-2.3.49, Repoman-2.3.10
Diffstat (limited to 'dev-tcltk')
-rw-r--r--dev-tcltk/thread/Manifest1
-rw-r--r--dev-tcltk/thread/thread-2.7.3.ebuild41
2 files changed, 42 insertions, 0 deletions
diff --git a/dev-tcltk/thread/Manifest b/dev-tcltk/thread/Manifest
index 6a023702e5c..790bb1f123e 100644
--- a/dev-tcltk/thread/Manifest
+++ b/dev-tcltk/thread/Manifest
@@ -1 +1,2 @@
DIST thread2.7.1.tar.gz 295134 BLAKE2B 785e832f8acf926f550cbffa3e2383eb6ad7fdbb480830e3c0f56d207375053c865d6eb201361acb8ca2df8951a037603b015f85ab4903d80a92f9d957af9dcd SHA512 18ebd9431b6f6bfb1e6a60797af39db0dee29a16cd457ddab2a18cd5dfd9ef2dea9284ab99238fb05b8284fcc855c2ef8011eb3ed02d7e54d715379d133512dc
+DIST thread2.7.3.tar.gz 291332 BLAKE2B 96e7b03cf22227e85462994a6f955fd04d2e40384e540e7cbf78f93c661611607312eb1ceb195cecbe672ecb53df464f1cff4e9b9768864cfeef6be82595e17e SHA512 0efe8db04ffb1cbe539d1bbc9f82e52df994cf0cb570a2eeb79b6f821ee5d585e0b034b970e793a54c588b08321e5ea286c7b9173a09a5cc573b11fbf00c2888
diff --git a/dev-tcltk/thread/thread-2.7.3.ebuild b/dev-tcltk/thread/thread-2.7.3.ebuild
new file mode 100644
index 00000000000..147853cab23
--- /dev/null
+++ b/dev-tcltk/thread/thread-2.7.3.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools multilib
+
+MY_P="${PN}${PV}"
+
+DESCRIPTION="Tcl Thread extension"
+HOMEPAGE="http://www.tcl.tk/"
+SRC_URI="mirror://sourceforge/project/tcl/Thread%20Extension/${PV}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="dev-lang/tcl:0=[threads]"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}"/${PN}${PV}
+
+RESTRICT="test"
+
+src_prepare() {
+ default
+
+ # Search for libs in libdir not just exec_prefix/lib
+ sed -i -e 's:${exec_prefix}/lib:${libdir}:' \
+ aclocal.m4 || die "sed failed"
+
+ sed -i -e "s/relid'/relid/" tclconfig/tcl.m4 || die
+
+ eautoreconf
+}
+
+src_configure() {
+ econf --with-tclinclude="${EPREFIX}/usr/include" \
+ --with-tcl="${EPREFIX}/usr/$(get_libdir)"
+}